Get Localization Texts
curl --request GET \
--url https://interhemispheric-unwet-paulene.ngrok-free.dev/api/v1/chatbots/chatbot/{chatbotId}/localization \
--header 'Authorization: Bearer <token>'{
"success": true,
"data": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chatbotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"localeCode": "en",
"homeTitle": "<string>",
"homeDescription": "<string>",
"addDetails": "<string>",
"startConversation": "<string>",
"starting": "<string>",
"messagesTitle": "<string>",
"messagesDescription": "<string>",
"noMessages": "<string>",
"verifyEmailMessage": "<string>",
"conversationHistoryInfo": "<string>",
"botLabel": "<string>",
"youLabel": "<string>",
"agentLabel": "<string>",
"escalateConfirmation": "<string>",
"escalateDescription": "<string>",
"yesContinue": "<string>",
"cancel": "<string>",
"switchedToHuman": "<string>",
"startNewConversation": "<string>",
"maxMessagesTitle": "<string>",
"maxMessagesDescription": "<string>",
"connected": "<string>",
"disconnected": "<string>",
"connecting": "<string>",
"disconnecting": "<string>",
"reconnect": "<string>",
"accountTitle": "<string>",
"verifyEmailTitle": "<string>",
"verifyEmailDescription": "<string>",
"emailLabel": "<string>",
"nameLabel": "<string>",
"phoneLabel": "<string>",
"submitButton": "<string>",
"sendingOtp": "<string>",
"verifyOtp": "<string>",
"otpSentMessage": "<string>",
"otpLabel": "<string>",
"verifyContinue": "<string>",
"resendOtp": "<string>",
"editDetails": "<string>",
"resetting": "<string>",
"verifying": "<string>",
"logout": "<string>",
"loggingOut": "<string>",
"verified": "<string>",
"edit": "<string>",
"update": "<string>",
"updating": "<string>",
"leadFormTitle": "<string>",
"leadFormDescription": "<string>",
"formHeading": "<string>",
"formSubmittedMessage": "<string>",
"continueButton": "<string>",
"submittingText": "<string>",
"inputDisabledPlaceholder": "<string>",
"closeChatLabel": "<string>",
"openChatLabel": "<string>",
"chatBubbleAlt": "<string>",
"closeTooltipLabel": "<string>",
"connectionLostReconnecting": "<string>",
"conversationExportTitle": "<string>",
"dateLabel": "<string>",
"threadIdLabel": "<string>",
"notAvailable": "<string>",
"backLabel": "<string>",
"openExternalLinkLabel": "<string>",
"moreOptionsLabel": "<string>",
"refreshChat": "<string>",
"downloadMenuLabel": "<string>",
"messagesMenuLabel": "<string>",
"accountMenuLabel": "<string>",
"collapseChatLabel": "<string>",
"expandChatLabel": "<string>",
"closeChatWindowLabel": "<string>",
"startNewConversationLabel": "<string>",
"conversationEnded": "<string>",
"sendMessageLabel": "<string>",
"bookingPageLoadError": "<string>",
"bookingPageTitle": "<string>",
"nameFieldPlaceholder": "<string>",
"emailFieldPlaceholder": "<string>",
"phoneFieldPlaceholder": "<string>",
"fieldRequired": "<string>",
"skipButton": "<string>",
"escalatedToHumanAgent": "<string>",
"returnedToAi": "<string>",
"helpfulFeedbackLabel": "<string>",
"notHelpfulFeedbackLabel": "<string>",
"yourConversationsTitle": "<string>",
"newConversationButton": "<string>",
"justNow": "<string>",
"minutesAgoFormat": "<string>",
"hoursAgoFormat": "<string>",
"threadEnded": "<string>",
"createAccountTitle": "<string>",
"enterEmailSubtitle": "<string>",
"alreadyHaveAccount": "<string>",
"loginLinkText": "<string>",
"passwordMinLength": "<string>",
"passwordsMismatch": "<string>",
"otpSentToEmail": "<string>",
"passwordPlaceholder": "<string>",
"confirmPasswordPlaceholder": "<string>",
"creatingAccount": "<string>",
"useAnotherEmail": "<string>",
"welcomeBackTitle": "<string>",
"loginWithEmailSubtitle": "<string>",
"passwordFieldPlaceholder": "<string>",
"loginButtonText": "<string>",
"forgotPasswordLink": "<string>",
"noAccountQuestion": "<string>",
"signupLinkText": "<string>",
"passwordResetSuccess": "<string>",
"passwordResetTitle": "<string>",
"backToLoginButton": "<string>",
"forgotPasswordTitle": "<string>",
"forgotPasswordInstructions": "<string>",
"resetPasswordTitle": "<string>",
"passwordResetCodeSent": "<string>",
"newPasswordPlaceholder": "<string>",
"confirmNewPasswordPlaceholder": "<string>",
"resetPasswordButton": "<string>",
"poweredByLabel": "<string>",
"retryButton": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"count": 2
}
}Localization
Get Localization Texts
Retrieve all localization texts for a chatbot
GET
/
v1
/
chatbots
/
chatbot
/
{chatbotId}
/
localization
Get Localization Texts
curl --request GET \
--url https://interhemispheric-unwet-paulene.ngrok-free.dev/api/v1/chatbots/chatbot/{chatbotId}/localization \
--header 'Authorization: Bearer <token>'{
"success": true,
"data": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chatbotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"localeCode": "en",
"homeTitle": "<string>",
"homeDescription": "<string>",
"addDetails": "<string>",
"startConversation": "<string>",
"starting": "<string>",
"messagesTitle": "<string>",
"messagesDescription": "<string>",
"noMessages": "<string>",
"verifyEmailMessage": "<string>",
"conversationHistoryInfo": "<string>",
"botLabel": "<string>",
"youLabel": "<string>",
"agentLabel": "<string>",
"escalateConfirmation": "<string>",
"escalateDescription": "<string>",
"yesContinue": "<string>",
"cancel": "<string>",
"switchedToHuman": "<string>",
"startNewConversation": "<string>",
"maxMessagesTitle": "<string>",
"maxMessagesDescription": "<string>",
"connected": "<string>",
"disconnected": "<string>",
"connecting": "<string>",
"disconnecting": "<string>",
"reconnect": "<string>",
"accountTitle": "<string>",
"verifyEmailTitle": "<string>",
"verifyEmailDescription": "<string>",
"emailLabel": "<string>",
"nameLabel": "<string>",
"phoneLabel": "<string>",
"submitButton": "<string>",
"sendingOtp": "<string>",
"verifyOtp": "<string>",
"otpSentMessage": "<string>",
"otpLabel": "<string>",
"verifyContinue": "<string>",
"resendOtp": "<string>",
"editDetails": "<string>",
"resetting": "<string>",
"verifying": "<string>",
"logout": "<string>",
"loggingOut": "<string>",
"verified": "<string>",
"edit": "<string>",
"update": "<string>",
"updating": "<string>",
"leadFormTitle": "<string>",
"leadFormDescription": "<string>",
"formHeading": "<string>",
"formSubmittedMessage": "<string>",
"continueButton": "<string>",
"submittingText": "<string>",
"inputDisabledPlaceholder": "<string>",
"closeChatLabel": "<string>",
"openChatLabel": "<string>",
"chatBubbleAlt": "<string>",
"closeTooltipLabel": "<string>",
"connectionLostReconnecting": "<string>",
"conversationExportTitle": "<string>",
"dateLabel": "<string>",
"threadIdLabel": "<string>",
"notAvailable": "<string>",
"backLabel": "<string>",
"openExternalLinkLabel": "<string>",
"moreOptionsLabel": "<string>",
"refreshChat": "<string>",
"downloadMenuLabel": "<string>",
"messagesMenuLabel": "<string>",
"accountMenuLabel": "<string>",
"collapseChatLabel": "<string>",
"expandChatLabel": "<string>",
"closeChatWindowLabel": "<string>",
"startNewConversationLabel": "<string>",
"conversationEnded": "<string>",
"sendMessageLabel": "<string>",
"bookingPageLoadError": "<string>",
"bookingPageTitle": "<string>",
"nameFieldPlaceholder": "<string>",
"emailFieldPlaceholder": "<string>",
"phoneFieldPlaceholder": "<string>",
"fieldRequired": "<string>",
"skipButton": "<string>",
"escalatedToHumanAgent": "<string>",
"returnedToAi": "<string>",
"helpfulFeedbackLabel": "<string>",
"notHelpfulFeedbackLabel": "<string>",
"yourConversationsTitle": "<string>",
"newConversationButton": "<string>",
"justNow": "<string>",
"minutesAgoFormat": "<string>",
"hoursAgoFormat": "<string>",
"threadEnded": "<string>",
"createAccountTitle": "<string>",
"enterEmailSubtitle": "<string>",
"alreadyHaveAccount": "<string>",
"loginLinkText": "<string>",
"passwordMinLength": "<string>",
"passwordsMismatch": "<string>",
"otpSentToEmail": "<string>",
"passwordPlaceholder": "<string>",
"confirmPasswordPlaceholder": "<string>",
"creatingAccount": "<string>",
"useAnotherEmail": "<string>",
"welcomeBackTitle": "<string>",
"loginWithEmailSubtitle": "<string>",
"passwordFieldPlaceholder": "<string>",
"loginButtonText": "<string>",
"forgotPasswordLink": "<string>",
"noAccountQuestion": "<string>",
"signupLinkText": "<string>",
"passwordResetSuccess": "<string>",
"passwordResetTitle": "<string>",
"backToLoginButton": "<string>",
"forgotPasswordTitle": "<string>",
"forgotPasswordInstructions": "<string>",
"resetPasswordTitle": "<string>",
"passwordResetCodeSent": "<string>",
"newPasswordPlaceholder": "<string>",
"confirmNewPasswordPlaceholder": "<string>",
"resetPasswordButton": "<string>",
"poweredByLabel": "<string>",
"retryButton": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"count": 2
}
}⌘I